Author Topic: Version 15.0.0.6 (SlickeEdit 2010) requires uninstall!  (Read 1815 times)

MichaelBate

  • Community Member
  • Posts: 27
  • Hero Points: 0
Version 15.0.0.6 (SlickeEdit 2010) requires uninstall!
« on: July 16, 2010, 04:03:03 pm »
A few days ago I downloaded and attempted to install version 15.0.0.6 - the latest version.  I already have 15.0.0.5 on my PC (Windows 7 Pro, 64-bit).

The installation procedure told me that this could not be installed over the previous version and I would have to uninstall the previous version.

This makes me nervous.  If I go ahead and uninstall, will I lose many/all of my settings?

I have been a SlickEdit user for many years and really like the product.  It seems to me that in the past I have been able to install new versions over the old ones without incident.  It seems to me that I should be able to do that.

Has something changed?

Also I do have a maintenance contract and would like to be notified by email when new versions become available.  It's possible that I overlooked an email, but I don't  think so.

Thanks for a great product! (I don't mean that facetiously)

Michael Bate

ScottW, VP of Dev

  • Senior Community Member
  • Posts: 1471
  • Hero Points: 64
Re: Version 15.0.0.6 (SlickeEdit 2010) requires uninstall!
« Reply #1 on: July 16, 2010, 07:34:17 pm »
The install program does not look to the fourth digit when comparing version numbers, so 15.0.0.5 and 15.0.0.6 are considered to be the same version. As long as you don't put your config directory under the install directory and have not saved any macro files there, you will not lose any changes.

As with previous versions of SlickEdit, you can copy or move the application by copying or moving the install directory (and its subdirectories).  So, if you really want to keep both around, just copy the v15.0.0.5 directory to something else, like myv15.0.0.5 and then do the uninstall. I do that all the time for internal testing.

On another note, you don't need to install v15.0.0.6 if you have applied the cumulative hotfixes to v15.0.0.5. The v15.0.0.6 release fixes a problem that was addressed in a hotfix, but we needed a new release to make sure that trial users would get it. We didn't want them to have to find the hot fix to solve that problem.

Here's a blurb from the readme notes:
Quote
SlickEdit v15.0.0.6 contains a few bug fixes for problems discovered in v15.0.0.5. If you are currently
running SlickEdit v15.0.0.5 with hotfix_se1500_3_cumulative.zip installed (or any later cumulative hotfix),
you do NOT need to install this new version of SlickEdit. All of the bug fixes in this release are
included in that cumulative hotfix.

Thanks for the positive feedback!

We do send out emails about new releases, but since this one doesn't have anything new in it, we didn't send out an email. Let us know if you don't receive one about v15.0.1, which is due out soon.